#include "Model_wt.h"

Model_wt::Model_wt() {
	state.push_back(-89.8847524154);
	state.push_back( 0.994944912253);
	state.push_back( 0.000681155448239);
	state.push_back( 0.996450895089);
	state.push_back(-3.95252516673e-323);
	state.push_back( 0.999829826354);
	state.push_back( 0.000109665398447);
	state.push_back( 0.0113367258002);
	state.push_back( 12.5963921328);
	state.push_back( 143.354601536);
	state.push_back( 7.19187334545);
	state.push_back( 1.19729351149);
	state.push_back( 0.00418464131986);
	state.push_back( 0.000887365387884);
	state.push_back( 0.995210665307);
	state.push_back( 0.00418464131722);
	state.push_back(-7.15407055178e-321);
}

Model_wt::Model_wt(state_type &x) {
	std::copy(x.begin(), x.end(), state.begin());
}

unsigned int Model_wt::get_N_states() {
	return 17;
}

void Model_wt::rhs(const state_type &x, state_type &dxdt, double t) {
	dxdt[0] = I_stim - 0.00243810082366898*x[0]*x[4]*x[5]*(0.75*x[8]*exp(0.0374358835078026*x[0]) - 105.0)/((exp(0.0374358835078026*x[0]) - 1)*(555.555555555556*x[7] + 1111.11111111111*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 67.2666666666667)) - 0.000697116235508315*x[0]*x[4]*x[5]*(0.75*x[9]*exp(0.0374358835078026*x[0]) - 3.375)/((exp(0.0374358835078026*x[0]) - 1)*(555.555555555556*x[7] + 1111.11111111111*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 67.2666666666667)) - 7.80192263574072*x[0]*x[4]*x[5]*(((1.0L/3.0L)*x[7] + (2.0L/3.0L)*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 0.04096)*exp(0.0748717670156052*x[0]) - 0.6138)/((exp(0.0748717670156052*x[0]) - 1)*(555.555555555556*x[7] + 1111.11111111111*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 67.2666666666667)) - 0.007016*x[0] - x[12]*x[15]*(0.433 + 0.2598/(6.48182102606265e-7*pow(1.0/((1.0L/3.0L)*x[7] + (2.0L/3.0L)*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 0.04096), 1.4) + 1))*(x[0] - 26.7123387054983*log(7.0662/(0.01833*x[8] + x[9]))) - 0.05*pow(x[13], 2)*x[14]*(x[0] - 13.3561693527491*log(1.8/((1.0L/3.0L)*x[7] + (2.0L/3.0L)*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 0.04096))) - 16*x[1]*pow(x[2], 3)*x[3]*(x[0] - 26.7123387054983*log(140/x[8])) - 0.0238624460886417*x[6]*(x[0] - 26.7123387054983*log(4.5/x[9]))/(1.49449105027909*exp(0.0446428571428571*x[0]) + 1.0) - (0.00552*x[0] - 0.14745210965435*log(4.5/x[9]))/(3.49793891302524*exp(-0.167224080267559*x[0]) + 1) - 0.698346260819087*(x[0] - 26.7123387054983*log(4.5/x[9]))/(((0.0302566005849132*pow(1.0/x[9], -2.14553504482562)*exp(0.08032*x[0]) + 9.64976139044134e-18*pow(1.0/x[9], -1.64948691506452)*exp(0.06175*x[0]))/(81717742.8102406*pow(1.0/x[9], 13.7381557962378)*exp(-0.5143*x[0]) + 1) + 1.02/(5.07000951006702e-11*pow(1.0/x[9], -6.37089278126134)*exp(0.2385*x[0]) + 1))*(5.07000951006702e-11*pow(1.0/x[9], -6.37089278126134)*exp(0.2385*x[0]) + 1)) + 0.106849354821993*log(140/x[8]) + 0.0402822067678914*log(1.8/((1.0L/3.0L)*x[7] + (2.0L/3.0L)*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 0.04096)) - (0.383333333333333*x[7] + 0.766666666666667*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 0.047104)/((1.0L/3.0L)*x[7] + (2.0L/3.0L)*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 0.04046) - 0.00025*(-2744000.0L/3.0L*x[7] + 1.8*pow(x[8], 3)*exp(0.0374358835078026*x[0]) - 5488000.0L/3.0L*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) + 112394.24)*exp(-0.0318205009816322*x[0])/(0.0001*((2744000.0L/3.0L)*x[7] + 1.8*pow(x[8], 3)*exp(0.0374358835078026*x[0]) + (5488000.0L/3.0L)*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 112394.24)*exp(-0.0318205009816322*x[0]) + 1) - 1.6875/((1 + 100/pow(x[8], 2))*(0.0365332261305191*exp(-0.0374358835078026*x[0]) + 0.1245*exp(-0.00374358835078026*x[0]) + 1));
	dxdt[1] = -x[1]*((1.0 - 1.0/(exp((-41.6666666666667)*(x[0] + 40)) + 1))*(3.56*exp(0.079*x[0]) + 310000.0*exp(0.35*x[0])) + 1.0/((0.0497581410839387*exp(-0.0900900900900901*x[0]) + 0.13)*(exp((-41.6666666666667)*(x[0] + 40)) + 1))) + 7.77415426242196e-6*(0.135 - 0.135/(exp((-41.6666666666667)*(x[0] + 40)) + 1))*(-x[1] + 1.0)*exp(-0.147058823529412*x[0]);
	dxdt[2] = -0.08*x[2]*exp(-1.0L/11.0L*x[0]) + (0.32*x[0] + 15.0816)*(-x[2] + 1.0)/(-0.00897780373069724*exp(-0.1*x[0]) + 1);
	dxdt[3] = -x[3]*(0.1212*(1.0 - 1.0/(exp((-41.6666666666667)*(x[0] + 40)) + 1))*exp(-0.01052*x[0])/(0.00396086833990426*exp(-0.1378*x[0]) + 1) + 0.3*exp(-2.535e-7*x[0])/((0.0407622039783662*exp(-0.1*x[0]) + 1)*(exp((-41.6666666666667)*(x[0] + 40)) + 1))) + (1.0 - 1.0/(exp((-41.6666666666667)*(x[0] + 40)) + 1))*(x[0] + 37.78)*(-x[3] + 1.0)*(-3.474e-5*exp(-0.04391*x[0]) - 127140.0*exp(0.2444*x[0]))/(50262745825.954*exp(0.311*x[0]) + 1);
	dxdt[4] = 1.0*(0.035*x[0] + 0.35)*(-x[4] + 1.0/((0.201379497744924*exp(-0.16025641025641*x[0]) + 1.0)*(exp(-41.6666666666667*x[0] - 2500.0) + 1)))*(0.201379497744924*exp(-0.16025641025641*x[0]) + 1.0)/(-0.201379497744924*exp(-0.16025641025641*x[0]) + 1);
	dxdt[5] = (0.02 + 0.0197*exp(-pow(0.0337*x[0] + 0.337, 2.0)))*(-x[5] + 1.0/(exp((1.0L/8.0L)*x[0] + 4) + 1) + 0.6/(exp(-1.0L/20.0L*x[0] + 5.0L/2.0L) + 1));
	dxdt[6] = (-x[6] + 1.0/(0.0568882383461015*exp(-0.133333333333333*x[0]) + 1))*((0.00061*x[0] + 0.023729)/(281.603485023222*exp(0.145*x[0]) - 1) + (0.00138*x[0] + 0.019596)/(-0.174365780410873*exp(-0.123*x[0]) + 1));
	dxdt[7] = -0.00023999003823077*x[0]*x[4]*x[5]*(((1.0L/3.0L)*x[7] + (2.0L/3.0L)*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 0.04096)*exp(0.0748717670156052*x[0]) - 0.6138)/((exp(0.0748717670156052*x[0]) - 1)*(555.555555555556*x[7] + 1111.11111111111*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 67.2666666666667)) - 9.27732802666124e-8*x[0] + 4.73529411764706e-5*x[11] - 1.53801857205922e-6*pow(x[13], 2)*x[14]*(x[0] - 13.3561693527491*log(1.8/((1.0L/3.0L)*x[7] + (2.0L/3.0L)*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 0.04096))) + 0.00705882352941176*x[16] - 0.0811764705882352*(0.00291666666666667*x[7] + 0.00583333333333333*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 0.0003584)/((1.0L/3.0L)*x[7] + (2.0L/3.0L)*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 0.04004) + 1.23909564265093e-6*log(1.8/((1.0L/3.0L)*x[7] + (2.0L/3.0L)*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 0.04096)) - 3.07603714411845e-5*(0.383333333333333*x[7] + 0.766666666666667*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 0.047104)/((1.0L/3.0L)*x[7] + (2.0L/3.0L)*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 0.04046) + 1.53801857205922e-8*(-2744000.0L/3.0L*x[7] + 1.8*pow(x[8], 3)*exp(0.0374358835078026*x[0]) - 5488000.0L/3.0L*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) + 112394.24)*exp(-0.0318205009816322*x[0])/(0.0001*((2744000.0L/3.0L)*x[7] + 1.8*pow(x[8], 3)*exp(0.0374358835078026*x[0]) + (5488000.0L/3.0L)*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 112394.24)*exp(-0.0318205009816322*x[0]) + 1);
	dxdt[8] = -1.49993773894231e-7*x[0]*x[4]*x[5]*(0.75*x[8]*exp(0.0374358835078026*x[0]) - 105.0)/((exp(0.0374358835078026*x[0]) - 1)*(555.555555555556*x[7] + 1111.11111111111*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 67.2666666666667)) - 2.46082971529476e-7*x[0] - 0.000984331886117903*x[1]*pow(x[2], 3)*x[3]*(x[0] - 26.7123387054983*log(140/x[8])) + 6.57345168515085e-6*log(140/x[8]) - 4.61405571617767e-8*(-2744000.0L/3.0L*x[7] + 1.8*pow(x[8], 3)*exp(0.0374358835078026*x[0]) - 5488000.0L/3.0L*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) + 112394.24)*exp(-0.0318205009816322*x[0])/(0.0001*((2744000.0L/3.0L)*x[7] + 1.8*pow(x[8], 3)*exp(0.0374358835078026*x[0]) + (5488000.0L/3.0L)*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 112394.24)*exp(-0.0318205009816322*x[0]) + 1) - 0.000311448760841993/((1 + 100/pow(x[8], 2))*(0.0365332261305191*exp(-0.0374358835078026*x[0]) + 0.1245*exp(-0.00374358835078026*x[0]) + 1));
	dxdt[9] = 6.1520742882369e-5*I_stim - 4.2887108683832e-8*x[0]*x[4]*x[5]*(0.75*x[9]*exp(0.0374358835078026*x[0]) - 3.375)/((exp(0.0374358835078026*x[0]) - 1)*(555.555555555556*x[7] + 1111.11111111111*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 67.2666666666667)) - 6.1520742882369e-5*x[12]*x[15]*(0.433 + 0.2598/(6.48182102606265e-7*pow(1.0/((1.0L/3.0L)*x[7] + (2.0L/3.0L)*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 0.04096), 1.4) + 1))*(x[0] - 26.7123387054983*log(7.0662/(0.01833*x[8] + x[9]))) - 1.46803541036372e-6*x[6]*(x[0] - 26.7123387054983*log(4.5/x[9]))/(1.49449105027909*exp(0.0446428571428571*x[0]) + 1.0) - 6.1520742882369e-5*(0.00552*x[0] - 0.14745210965435*log(4.5/x[9]))/(3.49793891302524*exp(-0.167224080267559*x[0]) + 1) - 4.29627807547148e-5*(x[0] - 26.7123387054983*log(4.5/x[9]))/(((0.0302566005849132*pow(1.0/x[9], -2.14553504482562)*exp(0.08032*x[0]) + 9.64976139044134e-18*pow(1.0/x[9], -1.64948691506452)*exp(0.06175*x[0]))/(81717742.8102406*pow(1.0/x[9], 13.7381557962378)*exp(-0.5143*x[0]) + 1) + 1.02/(5.07000951006702e-11*pow(1.0/x[9], -6.37089278126134)*exp(0.2385*x[0]) + 1))*(5.07000951006702e-11*pow(1.0/x[9], -6.37089278126134)*exp(0.2385*x[0]) + 1)) + 0.000207632507227995/((1 + 100/pow(x[8], 2))*(0.0365332261305191*exp(-0.0374358835078026*x[0]) + 0.1245*exp(-0.00374358835078026*x[0]) + 1));
	dxdt[10] = -1.0L/240.0L*x[10] + (1.0L/120.0L)*x[11] - x[16] - 1.0L/240.0L*sqrt(3.2*x[10] + pow(-x[10] + 10.8, 2)) + 0.045;
	dxdt[11] = 0.00036231884057971*x[10] - 0.00130797101449275*x[11] + 0.00036231884057971*sqrt(3.2*x[10] + pow(-x[10] + 10.8, 2)) + (0.00291666666666667*x[7] + 0.00583333333333333*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 0.0003584)/((1.0L/3.0L)*x[7] + (2.0L/3.0L)*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 0.04004) - 0.00391304347826087;
	dxdt[12] = (-x[12] + 1.0/(1.09397774310453*exp(-0.0598802395209581*x[0]) + 1))*((7.19e-5*x[0] + 0.002157)/(-0.0117959385197516*exp(-0.148*x[0]) + 1) + (0.000131*x[0] + 0.00393)/(7.85381970442166*exp(0.0687*x[0]) - 1));
	dxdt[13] = (-x[13] + 1.0/(0.27354304157175*exp(-0.0925925925925926*x[0]) + 1))/(3.7 + 6.1/(258.6706305155*exp(0.222222222222222*x[0]) + 1));
	dxdt[14] = (-x[14] + 1.0/(44994.057941343*exp(0.178571428571429*x[0]) + 1))/((1.0 - 1.0/(exp((-41.6666666666667)*x[0]) + 1))*(-0.875*x[0] + 12.0) + 12.0/(exp((-41.6666666666667)*x[0]) + 1));
	dxdt[15] = (-x[15] + 1.0/(1.09397774310453*exp(-0.0598802395209581*x[0]) + 1))*(0.25*(7.19e-5*x[0] + 0.002157)/(-0.0117959385197516*exp(-0.148*x[0]) + 1) + 0.25*(0.000131*x[0] + 0.00393)/(7.85381970442166*exp(0.0687*x[0]) - 1));
	dxdt[16] = (0.210526315789474 + 0.00258947368421053/((1.0L/2.0L)*x[10] + (1.0L/2.0L)*sqrt(3.2*x[10] + pow(-x[10] + 10.8, 2)) - 5.4))*(-4.63239156497105*x[0]*x[4]*x[5]*(((1.0L/3.0L)*x[7] + (2.0L/3.0L)*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 0.04096)*exp(0.0748717670156052*x[0]) - 0.6138)/((1 + pow((1.0L/2.0L)*x[10] + (1.0L/2.0L)*sqrt(3.2*x[10] + pow(-x[10] + 10.8, 2)) - 5.4, -9))*(exp(0.0748717670156052*x[0]) - 1)*(555.555555555556*x[7] + 1111.11111111111*sqrt(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837)*cos((1.0L/3.0L)*acos((1.0L/2.0L)*(3.213e-5*x[7] + (-9*x[7] + 1.10592)*(-0.00288*x[7] + 0.00019279) - (-2*x[7] + 0.24576)*pow(-x[7] + 0.12288, 2))*pow(0.00864*x[7] + pow(-x[7] + 0.12288, 2) - 0.00057837, -1.5))) - 67.2666666666667)) - x[16]);
}

rhs_type Model_wt::get_rhs() {
	return Model_wt::rhs;
}
